%define	Summary	Amphetamine is a cool Jump'n Run game

Summary:	%{Summary}
Name:		amphetamine
Version:	0.8.10
Release:	%mkrel 12
License:	GPL
Group:		Games/Arcade

Source0:	%{name}-%{version}.tar.bz2  
Source1:	%{name}-data-0.8.6.tar.bz2
Source11:	amph-16.png
Source12:	amph-32.png
Source13:	amph-48.png
Patch0:		%{name}_lib64.patch.bz2

Buildrequires:  SDL-devel xpm-devel

URL:		http://www.dataway.ch/~lukasl/amph/amph.html
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Amphetamine is a 2D - Jump'n'run shooter in the tradition of Super Mario Bros
and other classics. But it has unique features:
   - Fast 256 colour graphics
   - Seven weapons (like the seven deadly sins): Fight with arrow and bow,
      a scie, fire hands, etc. against monsters
   - Never seen graphics (in this genre) such as coronas (remember Unreal),
     dynamic coloured lightning, fogging, semitransparence and much more...
   - Raging fights against 11 bloodsucking monsters which themselves have
     several killing powers.

%prep
%setup -q

%ifarch x86_64
%patch0 -p1
%endif

# remove nasty no-newline-at-end-of-line
find . -name "*.hpp" -exec perl -pi -e '$_.="\n" if eof' {} \;
find . -name "*.cpp" -exec perl -pi -e '$_.="\n" if eof' {} \; #'

%build
%make INSTALL_DIR=%{_gamesdatadir}/amph CXXFLAGS="$RPM_OPT_FLAGS -O9 -funroll-loops -fomit-frame-pointer -ffast-math -Wcast-align -I./src `sdl-config --cflags`"

%install
rm -rf $RPM_BUILD_ROOT

install -m755 amph -D $RPM_BUILD_ROOT%{_gamesbindir}/amph
install -d -m755 $RPM_BUILD_ROOT%{_gamesdatadir}
tar -C $RPM_BUILD_ROOT%{_gamesdatadir} -xjf %{SOURCE1}

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

install -d $RPM_BUILD_ROOT/%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_gamesbindir}/amph" \
title="Amphetamine" \
longtitle="%{Summary}" \
icon="%{name}.png" \
needs="x11" \
section="More Applications/Games/Arcade" \
xdg="true"
EOF

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Amphetamine
Comment=%{Summary}
Exec=%{_gamesbindir}/amph
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF


%post
%update_menus
  
%postun
%clean_menus 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README
%{_gamesbindir}/amph
%dir %{_gamesdatadir}/amph
%{_gamesdatadir}/amph/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%{_datadir}/applications/*


%changelog
* Thu Dec 14 2006 Eskild Hustvedt <eskild@mandriva.org> 0.8.10-12mdv2007.1
+ Revision: 96745
- Added missing buildrequires
- Fixed the menu
- Import amphetamine



* Thu Jul 13 2006 Lenny Cartier <lenny@mandriva.com> 0.8.10-11mdv2007.0
- use mkrel
- xdg

* Thu Jan 19 2006 Lenny Cartier <lenny@mandriva.com> 0.8.10-10mdk
- patch0: fix lib64

* Tue Dec 27 2005 Lenny Cartier <lenny@mandriva.com> 0.8.10-9mdk
- rebuild

* Wed Sep 01 2004 Robert Vojta <robert.vojta@mandrake.org> 0.8.10-8mdk
- More application -> More Applications (#11010)

* Tue Jun 15 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.10-7mdk
- rebuild
- cosmetics

* Thu Apr 01 2004 Michael Scherer <misc@mandrake.org> 0.8.10-6mdk
- remove indentation on the menu files
- fix rpmlint warning
 
* Fri Aug 01 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.10-5mdk
- move files to correct locations
- bunzip2 icons
- use summary in longtitle
- cleaned up
- fix no-newline-at-end-of-some-sourcefiles
- compile with $RPM_OPT_FLAGS

* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.10-4mdk
- rebuild for rpm and glibc

* Sun Sep 01 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.10-3mdk
- fix path (thx David Walser)

* Fri Jul 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.10-2mdk
- builrequires libSDL1.2-devel

* Tue Jun 11 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.10-1mdk
- 0.8.10
- fix icons in menu
- png icons

* Fri Jun 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.8-4mdk
- rebuild against new libtsdc++

* Tue Dec 25 2001 David BAUDENS <baudens@mandrakesoft.com> 0.8.8-3mdk
- Use standard icon in menu

* Tue Jun 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.8-2mdk
- rebuild

* Wed Dec 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.8-1mdk
- new in contribs
- menu entry

* Sun Dec 10 2000 Than Ngo <than@redhat.com>
- adopt for powertools
- fix up specfile

* Tue Nov 28 2000 Karsten Hopp <karsten@redhat.de>
- initial RPM
